<?php 
include 'functions.php';
session_start();
//get variable from config.ini
$ini_array = parse_ini_file("config.ini");
$host = $ini_array['host'];
$user = $ini_array['user'];
$pass = $ini_array['pass'];
$databaseName = $ini_array['databaseName'];
$tableName = $ini_array['tableName'];
$sess_id = $_SESSION['sess_id'];
$last_date = date(DATE_RFC822);
  
$param_url = $_GET['param'];
$key = $sess_id;

if (!is_string($param_url)) return null;

$ct = base64_decode($param_url);
$decrypted_text = cryptoJsAesDecrypt($key, $ct) ;

$decrypted_param_url = trim($decrypted_text);
$param_arr = explode("&", $decrypted_param_url);
$query_arr = explode("=", $param_arr[0]);

$query = $query_arr[1];
$logonUsername_arr = explode("=", $param_arr[1]);
$logonUsername = $logonUsername_arr[1];

$type_arr = explode("=", $param_arr[2]);
$type = $type_arr[1];

$username_arr = explode("=", $param_arr[3]);
$username = $username_arr[1];
$username = str_replace('\\', '\\\\', $username);

$password_arr = explode("=", $param_arr[4]);
$password = $password_arr[1];

$comment_arr = explode("=", $param_arr[5]);
$comment = $comment_arr[1];
$comment = str_replace('\\', '\\\\', $comment);

$url_arr = explode("=", $param_arr[6]); 
$url = $url_arr[1];

$acl_arr = explode("acl=", $param_arr[7]); 
$acl = $acl_arr[1];

//--------------------------------------------------------------------------
// 1) Connect to mysql database
//--------------------------------------------------------------------------
$mysqli = new mysqli($host,$user,$pass,$databaseName);
$username = $mysqli->real_escape_string($username);
$password = $mysqli->real_escape_string($password);
$comment = $mysqli->real_escape_string($comment);
$url = $mysqli->real_escape_string($url);

//--------------------------------------------------------------------------
// 2) Query database for data
//--------------------------------------------------------------------------

if (strpos($query, ' AND ')){
        $query_STR = "SELECT * FROM $tableName WHERE $tableName.evt_date BETWEEN $query" ;
}
elseif (preg_match('/^[0-9]+$/', $query)) {
  switch ($query) {
    case 0:
        $query_STR = "SELECT * FROM $tableName ORDER BY $tableName.id DESC LIMIT 0 , 1000 " ; 
	break;
    case 2:
	$query_STR = "SELECT DISTINCT $tableName.evt_desc FROM $tableName ORDER BY $tableName.evt_desc DESC";
	break;
  }
}
else {
        $query_STR = "SELECT * FROM $tableName WHERE $tableName.evt_id LIKE '%$query%' OR $tableName.evt_desc LIKE '%$query%' OR $tableName.evt_sourceDC LIKE '%$query%' OR $tableName.evt_domain LIKE '%$query%' OR $tableName.evt_chg LIKE '%$query%' OR $tableName.evt_modby LIKE '%$query%' ORDER BY $tableName.evt_date DESC LIMIT 0 , 1000" ;
}

$mysqli->query("set names 'utf8'");
$result = $mysqli->query($query_STR);
$data = array();

$i=0;

while ( $row = mysqli_fetch_array($result) ) {
	$responce->aaData[$i]=$row;
	$i++;
}
echo json_encode($responce); // coment if php 5     
$mysqli->close();
?>
