<?php
function cryptoJsAesDecrypt($passphrase, $jsonString){
	$jsondata = json_decode($jsonString, true);
	$salt = hex2bin($jsondata["s"]);
	$ct = base64_decode($jsondata["ct"]);
	$iv  = hex2bin($jsondata["iv"]);
	$concatedPassphrase = $passphrase.$salt;
	$md5 = array();
	$md5[0] = md5($concatedPassphrase, true);
	$result = $md5[0];
	for ($i = 1; $i < 3; $i++) {
		$md5[$i] = md5($md5[$i - 1].$concatedPassphrase, true);
		$result .= $md5[$i];
	}
	$key = substr($result, 0, 32);
	//$data = openssl_decrypt($ct, 'aes-256-cbc', $key, true, $iv);
	$data = openssl_decrypt($ct, 'aes-256-cbc', $key, true, $iv);
	return json_decode($data, true);
}

function cryptoJsAesEncrypt($passphrase, $value){
	$salt = openssl_random_pseudo_bytes(8);
	$salted = '';
	$dx = '';
	while (strlen($salted) < 48) {
		$dx = md5($dx.$passphrase.$salt, true);
		$salted .= $dx;
	}
	$key = substr($salted, 0, 32);
	$iv  = substr($salted, 32,16);
	$encrypted_data = openssl_encrypt(json_encode($value), 'aes-256-cbc', $key, true, $iv);
	$data = array("ct" => base64_encode($encrypted_data), "iv" => bin2hex($iv), "s" => bin2hex($salt));
	return json_encode($data);
}

function auth_check($acl_input, $user_input, $sessid_input, $timediff_input, $session_timeout){
	session_start();
	$chk_username = $_SESSION['username'];
	$chk_sess_id = $_SESSION['sess_id'];
	if ((empty($acl_input)) || (strtoupper($chk_username) != strtoupper($user_input)) || ($chk_sess_id != $sessid_input) || (++$timediff_input > $session_timeout)){
		header('Location: ./');
		exit;
	}
}
?>
